curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/ \
--header 'Authorization: Bearer <token>'{
"lists": [
{
"createdAt": "2023-11-06T20:44:49.324Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "CONTAINS",
"values": [
"j"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T20:24:22.020Z",
"listId": "1",
"listVersion": 2,
"name": "Example List 1",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 330,
"updatedAt": "2023-11-15T20:24:36.761Z",
"updatedById": "123"
},
{
"createdAt": "2023-06-13T14:54:21.852Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"Fred"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-06-13T14:54:21.852Z",
"listId": "2",
"listVersion": 2,
"name": "Example List 2",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 220,
"updatedAt": "2023-06-13T14:54:53.996Z",
"updatedById": "123"
},
{
"createdAt": "2023-08-02T16:11:29.182Z",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 2,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"appId": "123",
"emailId": "123",
"filterType": "EMAIL_EVENT",
"level": "EMAIL_API_CAMPAIGN_GROUP",
"operator": "LINK_CLICKED"
}
],
"objectTypeId": "0-1",
"operator": "IN_LIST"
}
]
},
"filtersUpdatedAt": "2023-08-02T16:11:29.182Z",
"listId": "3",
"listVersion": 1,
"name": "Example List 3",
"objectTypeId": "0-2",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 100,
"updatedAt": "2023-08-02T16:13:18.777Z"
},
{
"createdAt": "2023-08-28T18:43:50.703Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"red"
]
},
"property": "vehicle_color"
}
]
}
]
},
"filtersUpdatedAt": "2023-08-28T18:43:50.703Z",
"listId": "4",
"listVersion": 1,
"name": "Example List 4",
"objectTypeId": "2-14190808",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 0,
"updatedAt": "2023-08-28T18:43:56.004Z",
"updatedById": "123"
},
{
"createdAt": "2023-08-22T19:41:53.210Z",
"createdById": "858789758",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 449,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"appId": "123",
"emailId": "123",
"filterType": "EMAIL_EVENT",
"level": "EMAIL_API_CAMPAIGN_GROUP",
"operator": "RECEIVED"
}
],
"objectTypeId": "0-1",
"operator": "IN_LIST"
}
]
},
"filtersUpdatedAt": "2023-08-23T18:11:55.326Z",
"listId": "5",
"listVersion": 7,
"name": "Example List 5",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 5,
"updatedAt": "2023-08-23T18:14:06.886Z",
"updatedById": "858789758"
}
]
}Recupera múltiples listas en una sola solicitud por ID de lista ILS. La respuesta incluirá las definiciones de todas las listas que existen para los “listIds” proporcionados.
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/ \
--header 'Authorization: Bearer <token>'{
"lists": [
{
"createdAt": "2023-11-06T20:44:49.324Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "CONTAINS",
"values": [
"j"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T20:24:22.020Z",
"listId": "1",
"listVersion": 2,
"name": "Example List 1",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 330,
"updatedAt": "2023-11-15T20:24:36.761Z",
"updatedById": "123"
},
{
"createdAt": "2023-06-13T14:54:21.852Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"Fred"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-06-13T14:54:21.852Z",
"listId": "2",
"listVersion": 2,
"name": "Example List 2",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 220,
"updatedAt": "2023-06-13T14:54:53.996Z",
"updatedById": "123"
},
{
"createdAt": "2023-08-02T16:11:29.182Z",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 2,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"appId": "123",
"emailId": "123",
"filterType": "EMAIL_EVENT",
"level": "EMAIL_API_CAMPAIGN_GROUP",
"operator": "LINK_CLICKED"
}
],
"objectTypeId": "0-1",
"operator": "IN_LIST"
}
]
},
"filtersUpdatedAt": "2023-08-02T16:11:29.182Z",
"listId": "3",
"listVersion": 1,
"name": "Example List 3",
"objectTypeId": "0-2",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 100,
"updatedAt": "2023-08-02T16:13:18.777Z"
},
{
"createdAt": "2023-08-28T18:43:50.703Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"red"
]
},
"property": "vehicle_color"
}
]
}
]
},
"filtersUpdatedAt": "2023-08-28T18:43:50.703Z",
"listId": "4",
"listVersion": 1,
"name": "Example List 4",
"objectTypeId": "2-14190808",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 0,
"updatedAt": "2023-08-28T18:43:56.004Z",
"updatedById": "123"
},
{
"createdAt": "2023-08-22T19:41:53.210Z",
"createdById": "858789758",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 449,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"appId": "123",
"emailId": "123",
"filterType": "EMAIL_EVENT",
"level": "EMAIL_API_CAMPAIGN_GROUP",
"operator": "RECEIVED"
}
],
"objectTypeId": "0-1",
"operator": "IN_LIST"
}
]
},
"filtersUpdatedAt": "2023-08-23T18:11:55.326Z",
"listId": "5",
"listVersion": 7,
"name": "Example List 5",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"size": 5,
"updatedAt": "2023-08-23T18:14:06.886Z",
"updatedById": "858789758"
}
]
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
Un marcador que indica si las definiciones de la lista de objetos de la respuesta deben incluir o no una definición de ramificación de filtro. Por opción predeterminada, las definiciones de ramificaciones de filtro de las definiciones de la lista de objetos no se incluirán en la respuesta.
El ID de ILS de las listas que se recuperarán.
Successful response, for a request with includeFilters set to true.
The response object containing the lists found for a multi-list fetch.
Las definiciones de las listas de objetos.
Show child attributes